<?php
/**
 * This file interacts with the frontend (theme or visitor pages) of the CMS.
 * It is used to modify or insert dynamic content into the public-facing parts of the site.
 *
 * In the example below, the plugin inserts a <meta> tag in the 'head_bottom' hook,
 * which places the content just before the closing </head> tag of the page.
 */

// Hook into 'head_bottom' to add content to the head section of the theme
add_to_hook('head_bottom', function() {
    // Dynamically set the plugin slug by getting the plugin folder name
    $plugin_slug = basename(dirname(__FILE__)); // Example: 'sample-plugin'

    // Retrieve the saved string preference for this plugin
    $string_value = get_plugin_pref($plugin_slug, 'string_value');

    // If the string value exists, output it as an unimportant <meta> tag
    if (!empty($string_value)) {
        echo '<meta name="unimportant-meta" content="' . htmlspecialchars($string_value) . '">';
    }
});
?>